al_draw_pixel(3)

NAME

al_draw_pixel - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro.h>
    void al_draw_pixel(float x, float y, ALLEGRO_COLOR color)

DESCRIPTION

Draws a single pixel at x, y. This function, unlike al_put_pixel(3), does blending and, unlike al_put_blended_pixel(3), respects the transformations (that is, the pixel's position is transformed, but its size is unaffected - it remains a pixel). This function can be slow if called often; if you need to draw a lot of pixels consider using al_draw_prim(3) with ALLEGRO_PRIM_POINT_LIST from the primitives addon.

•   x - destination x

•   y - destination y

•   color - color of the pixel

    Note: This function may not draw exactly where you expect it to. See the pixel-precise output section on the primitives addon documentation for details on how to control exactly where the pixel is drawn.

SEE ALSO

ALLEGRO_COLOR(3), al_put_pixel(3)